Bug 90000 - deskutils/tpb
Summary: deskutils/tpb
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Markus Brueffer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-05 23:20 UTC by Peter Thoenen
Modified: 2006-01-07 07:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Thoenen 2005-12-05 23:20:02 UTC
        Update to current release.

--0-1667257677-1133824504=:52432
Content-Type: text/plain; name="tpb.diff.txt"
Content-Description: 3599785226-tpb.diff.txt
Content-Disposition: inline; filename="tpb.diff.txt"

diff -ruN tpb.orig/Makefile tpb/Makefile
--- tpb.orig/Makefile	Mon Dec  5 10:54:35 2005
+++ tpb/Makefile	Mon Dec  5 10:55:27 2005
@@ -5,8 +5,7 @@
 # $FreeBSD: ports/deskutils/tpb/Makefile,v 1.4 2005/06/20 21:10:58 markus Exp $
 
 PORTNAME=	tpb
-PORTVERSION=	0.6.3
-PORTREVISION=	3
+PORTVERSION=	0.6.4
 CATEGORIES=	deskutils
 MASTER_SITES=	${MASTER_SITE_SAVANNAH}
 MASTER_SITE_SUBDIR=	${PORTNAME}
diff -ruN tpb.orig/distinfo tpb/distinfo
--- tpb.orig/distinfo	Mon Dec  5 10:54:35 2005
+++ tpb/distinfo	Mon Dec  5 10:55:49 2005
@@ -1,2 +1,3 @@
-MD5 (tpb-0.6.3.tar.gz) = fc11a0af992178e4013fd9c041dbaa7e
-SIZE (tpb-0.6.3.tar.gz) = 277058
+MD5 (tpb-0.6.4.tar.gz) = 563b544fbedcc1763130a0bca1ad63b6
+SHA256 (tpb-0.6.4.tar.gz) = 9ce4599ff4cb7397a3f49f747ff0225ef32bc6152778e55419f15aaf4cbff32a
+SIZE (tpb-0.6.4.tar.gz) = 280316
diff -ruN tpb.orig/files/patch-man-tpb.1 tpb/files/patch-man-tpb.1
--- tpb.orig/files/patch-man-tpb.1	Mon Dec  5 10:54:35 2005
+++ tpb/files/patch-man-tpb.1	Mon Dec  5 11:07:26 2005
@@ -1,15 +1,15 @@
---- man/tpb.1.orig	Mon Aug 23 13:01:45 2004
-+++ man/tpb.1	Fri Jun 10 15:06:52 2005
+--- man/tpb.1.orig	Mon Dec  5 11:01:51 2005
++++ man/tpb.1	Mon Dec  5 11:06:07 2005
 @@ -7,7 +7,7 @@
  With TPB it is possible to bind a program to the ThinkPad, Mail, Home and Search button.
  TPB can also run a callback program on each state change with the changed state and the new state as options. 
  So it is possible to trigger several actions on different events.
 -TPB	has a on-screen display (OSD) to show volume, mute, brightness and some other informations.
-+TPB	has an on-screen display (OSD) to show volume, mute, brightness and some other information.
++TPB	has an on-screen display (OSD) to show volume, mute, brightness and some other informations.
  Furthermore TPB supports a software mixer, as the R series ThinkPads have no hardware mixer to change the volume.
  .SH OPTIONS
  .TP 8
-@@ -86,7 +86,7 @@
+@@ -94,7 +94,7 @@
  builtin defaults
  .TP
  \(bu
@@ -18,32 +18,32 @@
  .TP
  \(bu
  configuration in $HOME/.tpbrc
-@@ -112,7 +112,8 @@
+@@ -121,7 +121,8 @@
  .TP 8
  .B NVRAM
  Should define the nvram device from where the information about the key states
 -is read. Default is to try /dev/nvram, followed by /dev/misc/nvram.
-+is read. Default is to try /dev/nvram, followed by /dev/misc/nvram. This has no
-+effect on FreeBSD, since it uses the acpi_ibm(4) driver instead.
++is read. Default is to try /dev/nvram, followed by /dev/misc/nvram.  This has
++no effect on FreeBSD, since it uses the acpi_ibm(4) driver instead.
  .TP 8
  .B POLLTIME
- Defines the delay between polls in microseconds. Default is 200000.
-@@ -266,14 +267,16 @@
- .B OSDALIGN
- Defines the alignment of the osd. Possible values are left, center and right. Default is left.
+ Defines the delay between polls in microseconds.
+@@ -332,14 +333,16 @@
+ Possible values are left, center and right.
+ Default is left.
  .SH "NOTES"
--Requires NVRAM device /dev/nvram. This must be enabled in your kernel.
-+Requires NVRAM device /dev/nvram on Linux. This must be enabled in your kernel.
- Although the device file must exist. The device file could be created with
- \'mknod /dev/nvram c 10 144\'
+-Requires NVRAM device /dev/nvram.
++Requires NVRAM device /dev/nvram on Linux.
+ This must be enabled in your kernel.
+ Although the device file must exist.
+ The device file could be created with \'mknod /dev/nvram c 10 144\'
  
 +On FreeBSD you have to load the acpi_ibm(4) driver prior to using TPB.
 +
- This program was developed on a Thinkpad Model T21. I don't know if it works on
- other models.
+ This program was developed on a Thinkpad Model T21.
  .SH EXAMPLE
 -tpb \-\-osd=off \-\-verbose \-\-thinkpad="xterm \-T ntpctl \-e ntpctl"
 +tpb \-\-osd=off \-\-verbose \-\-thinkpad="%%X11BASE%%/bin/xterm"
  .SH COPYRIGHT
- Copyright 2002-2004, Markus Braun <markus.braun@krawel.de>
+ Copyright 2002-2005, Markus Braun <markus.braun@krawel.de>
  .PP

--0-1667257677-1133824504=:52432--
Comment 1 Edwin Groothuis freebsd_committer 2005-12-05 23:21:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->markus

Over to maintainer
Comment 2 Edwin Groothuis freebsd_committer 2006-01-07 06:59:57 UTC
State Changed
From-To: open->closed

Committed, thanks!